'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (sequelize, DataTypes) {
  return sequelize.define('applications', {
    application_id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    application_name: {
      type: DataTypes.STRING,
      allowNull: false
    }
  }, {
    tableName: 'applications',
    timestamps: false,
    freezeTableName: true
  });
};