'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _objects = require('./objects');

var _objects2 = _interopRequireDefault(_objects);

var _profiles = require('./profiles');

var _profiles2 = _interopRequireDefault(_profiles);

var _profiles_roles = require('./profiles_roles');

var _profiles_roles2 = _interopRequireDefault(_profiles_roles);

var _roles = require('./roles');

var _roles2 = _interopRequireDefault(_roles);

var _roles_objects = require('./roles_objects');

var _roles_objects2 = _interopRequireDefault(_roles_objects);

var _roles_roles = require('./roles_roles');

var _roles_roles2 = _interopRequireDefault(_roles_roles);

var _users = require('./users');

var _users2 = _interopRequireDefault(_users);

var _users_objects = require('./users_objects');

var _users_objects2 = _interopRequireDefault(_users_objects);

var _users_roles = require('./users_roles');

var _users_roles2 = _interopRequireDefault(_users_roles);

var _applications = require('./applications');

var _applications2 = _interopRequireDefault(_applications);

var _tokens = require('./tokens');

var _tokens2 = _interopRequireDefault(_tokens);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Models = function Models(sequelize, DataTypes) {
  _classCallCheck(this, Models);

  this.objects = (0, _objects2.default)(sequelize, DataTypes);
  this.profiles = (0, _profiles2.default)(sequelize, DataTypes);
  this.profilesRoles = (0, _profiles_roles2.default)(sequelize, DataTypes);
  this.roles = (0, _roles2.default)(sequelize, DataTypes);
  this.rolesObjects = (0, _roles_objects2.default)(sequelize, DataTypes);
  this.rolesRoles = (0, _roles_roles2.default)(sequelize, DataTypes);
  this.users = (0, _users2.default)(sequelize, DataTypes);
  this.usersObjects = (0, _users_objects2.default)(sequelize, DataTypes);
  this.usersRoles = (0, _users_roles2.default)(sequelize, DataTypes);
  this.applications = (0, _applications2.default)(sequelize, DataTypes);
  this.tokens = (0, _tokens2.default)(sequelize, DataTypes);
};

exports.default = Models;